/*
 * NAME:	cics_samples.h - CICS macro declarations for sample 
 *              programs.
 * VERSION:	1.1
 *
 * COPYRIGHT:                                                        
 * 
 *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *  
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * 
 *                                                                   
 *
 *
 * DESCRIPTION:
 *		This header provides a number of macro definitions used by
 *		the sample program suite.
 */

#ifndef CICS_SAMPLES_H

#define CICS_SAMPLES_H			/* multiple inclusion defence	 */


/*
 * OBJECT: Common CICS/UNIX macro declarations.
 */

#if !defined(CONST)
#define CONST
#endif
#if !defined(IN)
#define IN 	CONST			/* Function Input parameter	 */
#endif
#if !defined(OUT)
#define OUT				/* Function Output parameter	 */
#endif
#if !defined(INOUT)
#define INOUT				/* Function Input and Output	 */
#endif

#if !defined(TRUE) || !defined(FALSE)
#define FALSE   (0)                     /* A zero value for FALSE        */
#define TRUE    (!FALSE)                /* A non zero value for TRUE     */
#endif

/*
 * DESCRIPTION:
 *
 *	Common CICS macros used by the CICS sample program suite.
 *	The parameter usage flags used in function definitions/declaration
 *	have the following meanings :-
 *	:dl tsize=18.
 *	:dt.IN
 *	:dd.defines a parameter which is read into the function;
 *	:dt.OUT
 *	:dd.defines a parameter which is modified by the function
 *	to pass information out of the function (a pointer);
 *	:dt.INOUT
 *	:dd.defines a parameter which is read into the function and
 *	which is modified by the function to pass information
 *	out of the function (a pointer).
 *	:dt.FALSE
 *	:dd.logical false (POSIX compliant)
 *	:dt.TRUE
 *	:dd.logical true (POSIX compliant)
 *	:edl.
 */

#endif /* CICS_SAMPLES_H */

