/*
 *  NAME:    SupOS architecture-specific datatypes file - HP.   
 *  VERSION: 1.2
 *  COPYRIGHT:                                                        
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *  SYNOPSIS:
 *
 *  This file contains IBM-supplied datatypes for use externally with
 *  CICS for HP-UX
 *
 *  DESCRIPTION:
 *
 *  This file is provided for cross-platform compatibility for use within
 *  CICS/UNIX products.
 *  
 *  Note:  This include file requires that the compiler be invoked
 *  with options that will process ANSI standard C.  For example -Aa
 *  
 */

#if !defined(CICSTYPE_H) /* multiple inclusion defence */

#define CICSTYPE_H


/*
 * OBJECT: typedefs - External CICS for HP-UX
 */

typedef char		cics_char_t;    /* default character             */
typedef unsigned char	cics_ubyte_t;	/* unsigned 8-bit		 */
typedef signed short    cics_sshort_t;  /* signed 16-bit                 */
typedef unsigned short  cics_ushort_t;  /* unsigned 16-bit               */
typedef signed long	cics_slong_t;   /* signed 32-bit		 */
typedef unsigned long   cics_ulong_t;   /* unsigned 32-bit               */
typedef int  	        cics_bool_t;	/* 32-bit boolean type  	 */
typedef void *          cics_ptr_t;     /* arbitrary pointer             */

typedef struct {
       cics_ulong_t     High;
       cics_ulong_t     Low;
}  cics_uxlong_t;

typedef struct {
       cics_slong_t     High;
       cics_ulong_t     Low;
}  cics_sxlong_t;

/*
 * DESCRIPTION:
 *
 *      Common CICS typedefs supplied for use externally.
 *      These typedefs are intended for use wherever data has flowed
 *      across a CICS interface.
 *
 */

/*
 * The following null defines are included for compatibility with
 * common client code
 */
#define CICSCALL
#define CICSEXIT
#define CICSPTR

#endif /* CICSTYPE_H */

