/*
 *  NAME: askClock.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   void askClock ( struct timestruc_t * Clock )
 *
 *  DESCRIPTION:
 *
 *   Fetch the current time from the system clock. Interface to 'gettimer',
 *   ensuring that it is the POSIX time-of-day and not the interval timer !
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 *
 */
#include <sys/time.h>
#include <sys/types.h>
void askClock ( struct timestruc_t * Clock )
{
   gettimer(TIMEOFDAY, Clock) ;
}
