/*
 *  NAME: askInterval.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   double askInterval(Terminal_t * Terminal)
 *
 *  DESCRIPTION:
 *
 *      Access function for a terminal thread to inquire about the
 *      requested inter-transaction interval.
 *
 *      This is intended to be used as the mean of the distribution of
 *      arrival intervals. Simple terminal simulators will use it as the
 *      deterministic inter-arrival time.
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
double askInterval(Terminal_t * Terminal)
{
   return TerminalMon(Terminal)->Interval ;
}
