/*
 *  NAME: defaultDatastream.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *    void defaultDatastream(Datastream_t * Datastream)
 *
 *  DESCRIPTION:
 *
 *      EPI workload driver function to build a default datastream (which the
 *      user exit code is expected to override)
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>

void defaultDatastream ( Datastream_t * Datastream )
{
  /*
   * Indicate a suitable base datastream ('ENTER' with cursor at top left)
   * and tag that a transaction called 'NULL' should be run.
   */
  Datastream -> CurrentSize=3 ;
  Datastream -> Stream[0]=DFHENTER ;
  Datastream -> Stream[1]=BG_0 ;
  Datastream -> Stream[2]=BG_0 ;
  memcpy(Datastream -> Transaction,"NULL",sizeof(Datastream -> Transaction)) ;
}
