/*
 *  NAME: delaySeconds.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   void delaySeconds(double delaytime)
 *
 *  DESCRIPTION:
 *
 *      Delays the caller for the requested interval. Intended to be
 *      used by the terminal thread to simulate 'think time', and by
 *      the monitor thread to wait between sampling intervals.
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void delaySeconds(double delaytime)
{
   struct timespec interval ;
   int seconds = delaytime ;
   int nanoseconds = 1000*1000*1000*(delaytime-seconds) ;
   interval . tv_sec = seconds ;
   interval . tv_nsec = nanoseconds ;
   pthread_delay_np(&interval) ;
}
