/*
 *  NAME: defaultParseTransID.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *    void ParseTransID(void * TranKey, const char * TransID)
 *
 *  DESCRIPTION:
 *
 *      Default function to parse the TransID returned from the CICS
 *      region in response to a transaction request.
 *
 *      The user is expected to override this (by providing his own parser
 *      function) if necessary for the application
 *
 *  CAVEATS/WARNINGS:
 *
 *      This default function is a 'null' function.
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */

#include <epiload.h>
void ParseTransID(void * TranKey, const char * TransID)
{
   /*
    * This function intentionally left blank
    */
}
