/*
 *  NAME: env_int.c
 *
 *
 *  VERSION: 1.2
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   int env_int ( const char * env_var, int default_value )
 *
 *  DESCRIPTION:
 *
 *      Utility function to return an integer from the environment, or a
 *      default if the environment setting is not present.
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
int env_int ( const char * env_var, int default_value )
{
   const char * env_value = (char *) getenv(env_var) ;
   if (env_value != NULL)
   {
      return atoi(env_value) ;
   }
   else
   {
      return default_value ;
   } /* endif */
}
