/*
 *  NAME: random_seed.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * int random_seed(void)
 *
 *  DESCRIPTION:
 *
 * Return a good random number seed; either the value from the
 * RANDOM_SEED environment variable,
 * or (if unset) 'truly random' nanoseconds from the clock
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
int random_seed(void)
{
   int rseed = env_int("RANDOM_SEED", 0) ;
   if (rseed != 0)
   {
      return rseed ;
   }
   else
   {
      int s, ns ;
      CLOCK(s, ns) ;
      return ns ;
   } /* endif */
}
