/*
 *  NAME: replyText.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *    const char * replyText(Reply_t * Reply)
 *
 *  DESCRIPTION:
 *
 *      Extract the datastream text (not including the control character) from a
 *      reply from the region
 *
 *  CAVEATS/WARNINGS:
 *
 *     The datastream text is not null-terminated, and might in general contain
 *     embedded 'NUL' characters. It is necessary to call
 *     'replyLength' to figure out how long it actually is.
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */

#include <epiload.h>
#include <epiload_int.h>
const char * replyText(Reply_t * Reply)
{
   return (const char *) (Reply -> ReplyUbyte) + 2 ;
}
