/*
 *  NAME: report_failureu.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void report_failureu(int result, const char * text , int expect )
 *
 *  DESCRIPTION:
 *
 *      Report a failure in the EPI workload simulator
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *      This will exit the process unconditionally. The failure is
 *      assumed to be fatal, and no recovery is attempted.
 *
 *      This version is used when the error is not associated with a
 *      particular terminal.
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void report_failureu(int result, const char * text , int expect )
{
   fprintf(stderr,"Call to %s failed, code %i, expected %i."
                  "Exiting.\n",
                           text,           result,      expect
          ) ;
   exit(1) ;
}
