/*
 *  NAME: report_success.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void report_success(int result, const char * text, int terminal )
 *
 *  DESCRIPTION:
 *
 *      Report a successful call in the EPI workload simulator.
 *      This is normally only called in 'debug' versions of the workload
 *      simulator
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void report_success(int result, const char * text, int terminal )
{
   int s, ns ;
   CLOCK(s, ns) ;

   fprintf(stderr,"Call to %s passed, code %i, timestamp %i.%09i, terminal %i.\n",
                           text,           result,     s, ns, terminal
          ) ;
}
