/*
 *  NAME: report_successu.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void report_successu(int result, const char * text )
 *
 *  DESCRIPTION:
 *
 *      Report a successful call in the EPI workload simulator.
 *      This is normally only called in 'debug' versions of the workload
 *      simulator.
 *
 *      This version is called when the success is not associated with
 *      a particular terminal.
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void report_successu(int result, const char * text )
{
   int s, ns ;
   CLOCK(s, ns) ;
   fprintf(stderr,"Call to %s passed, code %i, timestamp %i.%09i .\n",
                           text,           result,       s, ns
          ) ;
}
