/*
 *  NAME: report_warning.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void report_warning(int event, const char * text, int terminal )
 *
 *  DESCRIPTION:
 *
 *      Report a warning in the EPI workload simulator
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void report_warning(int event, const char * text, int terminal )
{
   CICS_EpiSysError_t Syserr ;
   (void) CICS_EpiGetSysError(terminal, &Syserr) ;
   fprintf(stderr,"Call to %s warns of code %i."
                  "Terminal %i Cause %i Value %i Msg %s.\n",
                           text,            event,
                            terminal, Syserr.Cause, Syserr.Value, Syserr.Msg
          ) ;
}
