/*
 *  NAME: report_warningu.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void report_warningu(int event, const char * text )
 *
 *  DESCRIPTION:
 *
 *      Report a warning in the EPI workload simulator
 *      This version is called when the warning is not associated with
 *      a perticular terminal
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void report_warningu(int event, const char * text )
{
   fprintf(stderr,"Call to %s warns of code %i.",
                           text,            event
          ) ;
}
