/*
 *  NAME: setCount.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   void setCount(Terminal_t * Terminal, int Count)
 *
 *  DESCRIPTION:
 *
 *      EPI workload driver function to set the 'count' for a terminal.
 *      The expected use is for the terminal to indicate how many
 *      transactions it has run in total. This is provided as a function
 *      because the user-written code does not have direct access to the
 *      internal structure of a 'Terminal_t'.
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void setCount(Terminal_t * Terminal, int Count)
{
   TerminalTransactionCount(Terminal) = Count ;
}
