/*
 *  NAME: setCursor.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void setCursor(Datastream_t *Data, const char * TranCode)
 *
 *  DESCRIPTION:
 *
 * Sets a transaction code into an inbound datastream
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */

#include <epiload.h>
#include <epiload_int.h>
void setCursor(Datastream_t *Data, int Row, int Col)
{
   unsigned int ScreenLoc = (Row*80) + Col ;
   if (ScreenLoc < 1920)
   {
     /*
      * It is on the screen; good ! Now figure out the 6-bit-addressing values.
      */
     int Pos_Hi = binaryToGraphic[ScreenLoc >> 6   ] ;
     int Pos_Lo = binaryToGraphic[ScreenLoc & 0x3f ] ;
     Data -> Stream[1] = Pos_Hi ;
     Data -> Stream[2] = Pos_Lo ;
   } /* endif */
}
