/*
 *  NAME: setTransaction.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void setTransaction(Datastream_t *Data, const char * TranCode)
 *
 *  DESCRIPTION:
 *
 * Sets a transaction code into an inbound datastream
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */

#include <epiload.h>
#include <epiload_int.h>
void setTransaction(Datastream_t *Data, const char * TranCode)
{
   int Length = strlen(TranCode) ;
   if (Length == CICS_EPI_TRANSID_MAX)
   {
      /*
       * Exactly right, just copy it ...
       */
      memcpy(Data->Transaction,TranCode,CICS_EPI_TRANSID_MAX+1) ;
   }
   else if ( Length < CICS_EPI_TRANSID_MAX )
   {
      /*
       * Short, space-pad it
       */
      memcpy(Data->Transaction, "    ", CICS_EPI_TRANSID_MAX+1) ;
      memcpy(Data->Transaction,TranCode,Length) ;
   }
   else
   {
      /*
       * Long, truncate it
       */
       memcpy(Data->Transaction,TranCode,CICS_EPI_TRANSID_MAX) ;
       Data->Transaction[CICS_EPI_TRANSID_MAX] = 0x00 ;
   } /* endif */
}
