/*
 *  NAME: terminalNumber.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   int terminalNumber(Terminal_t * Terminal)
 *
 *  DESCRIPTION:
 *
 *      Access function for a terminal thread to inquire about the
 *      number of the terminal it is simulating.
 *
 *      This is the terminal sequence number (working up from 0), rather than
 *      the EPI-assigned number
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
int terminalNumber(Terminal_t * Terminal)
{
   return Terminal -> TermSequence ;
}
