/*
 *  NAME: terminalThreadWrap.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   void * terminalThreadWrap(void * Parm)
 *
 *  DESCRIPTION:
 *
 *	EPI workload driver function to wrap around all per-terminal
 *	operations. 
 *	This is called by the 'pthreads' layer in response to 'pthread_create';
 *	which is why it is declared to take and return a 'void *'.
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
void * terminalThreadWrap(void * Parm)
{
   Terminal_t * Terminal = Parm ;

  /*
   * Add the terminal
   */
  addTerminal(Terminal) ;
  /*
   * Run the user code
   */
  TerminalThread(Terminal) ;

  /*
   * Delete the terminal
   */

  deleteTerminal(Terminal) ;

  /*
   * Arrange for notification when the last one is 'out'
   */
  notifyMain(Terminal) ;

  /*
   * Finish the thread, no result.
   */
   return NULL ;
}
