/*
 *  NAME: text_3270.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 * void text_3270(Datastream_t *Data, const char * Text)
 *
 *  DESCRIPTION:
 *
 * Adds (ASCII string) text to an inbound 3270 datastream.
 * See 'bytes_3270' if you want to add a string-with-length rather than
 * a string-with-nul-terminator
 *
 *  CAVEATS/WARNINGS:
 *
 * If the datastream overflows the buffer, the text will be truncated.
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */

#include <epiload.h>
#include <epiload_int.h>
void text_3270(Datastream_t *Data, const char * Text)
{
   unsigned int CurrentSize = Data->CurrentSize ;
   unsigned int TextSize = strlen(Text) ;
   unsigned int NextSize = CurrentSize+TextSize ;
   if (NextSize <= max3270ds)
   {
      memcpy(&(Data->Stream[CurrentSize]),Text,TextSize) ;
      Data->CurrentSize = NextSize ;
   } /* endif */
}
