/*
 *  NAME: totalTransactions.c
 *
 *
 *  VERSION: 1.1
 *
 *
 *  COPYRIGHT:                                                        
 *
 *  
 *    (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *    (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *    All Rights Reserved
 *    Licensed Materials - Property of IBM
 *   
 *    US Government Users Restricted Rights - Use, duplication or
 *    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *  
 *                                                                    
 *
 *
 *  Base level
 *
 *  SYNOPSIS:
 *
 *   int totalTransactions(Monitor_t * Monitor)
 *
 *  DESCRIPTION:
 *
 *      Calculates the total number of transactions run by all terminals
 *      under management.
 *
 *
 *  CAVEATS/WARNINGS:
 *
 *
 *  RETURNED VALUES:
 *
 *
 *  RELATED INFORMATION:
 *
 *
 */
#include <epiload.h>
#include <epiload_int.h>
int totalTransactions(Monitor_t * Monitor)
{
   int total = 0 ;
   int x ;
   int terminals = Monitor -> TerminalsCreated ;
   Terminal_t * TermArray = Monitor -> FirstTerminal ;
   for (x = 0 ; x < terminals ; x += 1 )
   {
      total += TermArray[x].TransactionCount ;
   } /* endfor */
   return total ;
}
