/*
 * NAME:        cics_eib.h - The user definition of the EIB structure.
 *
 * VERSION:     1.1
 *
 * COPYRIGHT:                                                        
 * 
 *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *  
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * 
 *                                                                   
 *
 * DESCRIPTION:
 *  This file contains the user structure definition for the EIB.
 *  It is included in user programs to provide addressability to
 *  the EIB structure.
 */

#ifndef cics_eib_h

#define cics_eib_h



#include <cicstype.h>

struct cics_eib
{
    cics_char_t   eibtime[4];
    cics_char_t   eibdate[4];
    cics_char_t   eibtrnid[4];
    cics_char_t   eibtaskn[4];
    cics_char_t   eibtrmid[4];
    cics_sshort_t eibfil01;
    cics_sshort_t eibcposn;
    cics_sshort_t eibcalen;
    cics_char_t   eibaid;
    cics_char_t   eibfn[2];
    cics_char_t   eibrcode[6];
    cics_char_t   eibds[8];
    cics_char_t   eibreqid[8];
    cics_char_t   eibrsrce[8];
    cics_char_t   eibsync;
    cics_char_t   eibfree;
    cics_char_t   eibrecv;
    cics_char_t   eibfil02;
    cics_char_t   eibatt;
    cics_char_t   eibeoc;
    cics_char_t   eibfmh;
    cics_char_t   eibcompl;
    cics_char_t   eibsig;
    cics_char_t   eibconf;
    cics_char_t   eiberr;
    cics_char_t   eiberrcd[4];
    cics_char_t   eibsynrb;
    cics_char_t   eibnodat;
    cics_slong_t  eibresp;
    cics_slong_t  eibresp2;
    cics_char_t   eibrldbk;
    cics_char_t   eibfil03;
    cics_sshort_t label;
    void         *globalvars;
};
typedef struct cics_eib DFHEIBLK;

/* Values which can be held by EIBERRCD */

#define EIBERRCD_SYNC                   (0x08240000)
#define EIBERRCD_ABEND                  (0x08640000)
#define EIBERRCD_ABEND_SVC              (0x08640001)
#define EIBERRCD_ABEND_TIMER            (0x08640002)
#define EIBERRCD_ERROR                  (0x08890000)
#define EIBERRCD_MISMATCH               (0x10086034)
#define EIBERRCD_PIP_ILLEGAL            (0x10086031)
#define EIBERRCD_PIP_INVALID            (0x10086032)
#define EIBERRCD_SECURITY_INVALID       (0x080f6051)
#define EIBERRCD_SYNC_NOT_SUPPORTED     (0x10086041)
#define EIBERRCD_UNKNOWN_TPN            (0x10086021)
#define EIBERRCD_CONN_FAIL              (0xA0000100)
#define EIBERRCD_CONN_FAIL_RETRY        (0xA0000100)
#define EIBERRCD_TPN_NOT_AVAIL          (0x084b6031)
#define EIBERRCD_TPN_FAIL               (0x084c0000)

/* Values which can be held by boolean fields in the EIB */

#define EIBTRUE         (0xFF)
#define EIBFALSE        (0x00)

#endif  /* cics_eib_h */

