/*
 * NAME:        cicsmfmt_msg.h - Declarations for Sample cicsmfmt msg catalogue
 * VERSION:     1.1
 *
 * COPYRIGHT:                                                        
 * 
 *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *  
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * 
 *                                                                   
 *
 * DESCRIPTION: This header provides the message catalogue declarations
 *              required by the sample cicsmfmt code.
 */

#ifndef _H_CICSMFMT_MSG

#define _H_CICSMFMT_MSG


#include <limits.h>
#include <nl_types.h>

/*
 * OBJECT: CICS_MFMT_*_SET -  Message Catalogue Defines
 */

#define MF_CICSMFMT     "cicsmfmt.cat"

#define CICS_MFMT_ERROR_SET     255
#define CICS_MFMT_FIELD_SET     1
#define CICS_MFMT_REPORT_SET    2

/*
 * DESCRIPTION:
 * The message catalogue definitions for cicsmfmt.
 * :ul.
 * :li. :hp2.MF_CICSMFMT:ehp2. - Message catalogue name;
 * :li. :hp2.CICS_MFMT_ERROR_SET:ehp2. - Error message message set;
 * :li. :hp2.CICS_MFMT_FIELD_SET:ehp2. - Field ID Description message set;
 * :li. :hp2.CICS_MFMT_REPORT_SET:ehp2. - Sample report header/footer text set.
 * :eul.
 */

/* definitions for set 65 - cicsmfmt Error messages */

#define ERZ6501E                1
#define ERZ6502E                2
#define ERZ6503E                3
#define ERZ6504E                4
#define ERZ6505E                5

/* defintions for set 255 - cicsmfmt sample report header/footers */

#define CICS_MFMT_NO_TEXT       0
#define CICS_MFMT_SRF_FILE      1
#define CICS_MFMT_SRF_DATE      2
#define CICS_MFMT_SRF_PAGE      3
#define CICS_MFMT_SRH_NAME      4
#define CICS_MFMT_SRH_DATE      5
#define CICS_MFMT_SRH_START     6
#define CICS_MFMT_SRH_END       7
#define CICS_MFMT_SRH_FILE      8
#define CICS_MFMT_SRH_REQUEST   9
#define CICS_MFMT_SRH_ELAPSED   10
#define CICS_MFMT_SRH_DATA      11
#define CICS_MFMT_SRH_OCCUPANCY 12
#define CICS_MFMT_SRH_ABEND     13
#define CICS_MFMT_SRH_CODE      14
#define CICS_MFMT_SRH_TRANID    15
#define CICS_MFMT_SRH_TERMID    16
#define CICS_MFMT_SRH_PROGID    17

#endif

