/*
 * NAME:	cicssfmt_msg.h - Declarations for message catalogue
 * VERSION:	1.1
 *
 * COPYRIGHT:                                                        
 * 
 *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
 *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *  
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * 
 *                                                                   
 *
 * DESCRIPTION:	This header provides the message catalogue declarations
 *		required by the sample cicssfmt code.
 */

#ifndef _H_CICSSFMT_MSG

#define _H_CICSSFMT_MSG


#include <limits.h>
#include <nl_types.h>

/*
 * OBJECT:CICS_SFMT_*_SET -  Message Catalogue Defines
 */

#define SF_CICSSFMT	"cicssfmt.cat"



/* If CICS_SFMT_ERROR_SET changes in future, change hardcoded value in 
 * infsf_cat.defs. See comment in that file.	
 */

#define CICS_SFMT_ERROR_SET	255
#define CICS_SFMT_REPORT_SET	28

/*
 * DESCRIPTION:
 * The message catalogue definitions for cicssfmt.
 * :ul.
 * :li.:hp2.SF_CICSSFMT:ehp2. - Message catalogue name;
 * :li.:hp2.CICS_SFMT_ERROR_SET:ehp2. - Error message message set;
 * :li.:hp2.CICS_SFMT_REPORT_SET:ehp2. - Sample Report header/footer text set.
 * :eul.
 */

/* definitions for set 24 - cicssfmt Error messages */

#define ERZ5501E		1
#define ERZ5502E		2
#define ERZ5503E		3
#define ERZ5504E		4
#define ERZ5505E		5
#define ERZ5506E		6
#define ERZ5507E		7
#define ERZ5508E		8
#define ERZ5509E		9
#define ERZ5510E		10
#define ERZ5511E		11
#define ERZ5512W		12
#define ERZ5513E		13
#define ERZ5514E		14
#define ERZ5515W		15

/* definitions for set 25 - cicssfmt sample report header */

#define CICS_SFMT_NO_TEXT	0
#define CICS_SFMT_SRH_FILE	1
#define CICS_SFMT_SRH_DATE	2
#define CICS_SFMT_SRH_PAGE	3
#define CICS_SFMT_SRH_SUMMARY	4
#define CICS_SFMT_SRH_DETAILED	5
#define CICS_SFMT_SRH_AVERAGE   6
#define CICS_SFMT_SRH_TYPE	7
#define CICS_SFMT_SRH_TIME      8

#endif

