/*
* NAME:		uxa1.ec
* VERSION:	1.1
* COPYRIGHT:                                                        
* 
*   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
*   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
*   All Rights Reserved
*   Licensed Materials - Property of IBM
*  
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
* 
* 
*            NOTICE TO USERS OF THE SOURCE CODE EXAMPLES
* 
* INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THE SOURCE CODE
* EXAMPLES, BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, "AS IS"
* WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,
* INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE
* RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOURCE CODE EXAMPLES,
* BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, IS WITH YOU.  SHOULD 
* ANY PART OF THE SOURCE CODE EXAMPLES PROVE DEFECTIVE, YOU (AND NOT 
* IBM ) ASSUME 
* THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
*                                                                   
*
* Transaction: UXA1
* Program:     UXA1PROG
* Mapset:      UXA1
*/

#include <stdio.h>
#include "uxa1.h"

#define NOCHEESE "There is no such cheese in the table"
#define UPDATECHEESE "The cheese table was successfully updated"

/* #define either ORA7 or INF5 here */
#define INF5

#ifdef ORA7
#define SQLNOTFOUND 1403
#endif

EXEC SQL INCLUDE sqlca;

int rcode;

EXEC SQL BEGIN DECLARE SECTION;

varchar name[15];
char supplier[30];
char supplier_address[30];
int order_quantity;

EXEC SQL END DECLARE SECTION;

main()
{
        char errmsg[400];
        char qmsg[400];
	short mlen;

        /* Initialise the maps */

        memset (&panel1, 0x00, sizeof(panel1));
        memset (&panel2, 0x00, sizeof(panel2));
        memset (&panel3, 0x00, sizeof(panel3));
        memset (&panel4, 0x00, sizeof(panel4));

        /* set error handling */

	EXEC SQL WHENEVER SQLERROR GOTO :errexit;

        /*   Get addresability for EIB */

        EXEC CICS ADDRESS EIB(dfheiptr);

	/*   Write record to CICS temporary storage queue  */

	sprintf(qmsg, "%s", "Running Transaction UXA1");
	mlen = strlen(qmsg);
	EXEC CICS WRITEQ TS QUEUE("TEMPXAQ1") FROM(qmsg) LENGTH(mlen) RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X000");

        /* Send the first map */

        EXEC CICS SEND MAP("PANEL1") MAPSET("UXA1") FREEKB ERASE RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X001");

        /* Receive the response */

        EXEC CICS RECEIVE MAP("PANEL1") MAPSET("UXA1") RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X002");

        /* Select a record from the table based on user input */

#ifdef ORA7
        sprintf(name.arr, "%s", panel1.panel1i.newnamei);
	name.len = strlen(name.arr);
#endif
#ifdef INF5
        sprintf(name, "%s", panel1.panel1i.newnamei);
#endif


	EXEC SQL SELECT name, supplier, supplier_address, order_quantity
	into
        :name, :supplier, :supplier_address, :order_quantity
	FROM CHEESE
	WHERE NAME = :name;

        /* Handle "no rows returned" from SELECT */

	if (sqlca.sqlcode == SQLNOTFOUND)
	{
	    sprintf(panel4.panel4o.messageo, "%s", NOCHEESE);
            EXEC CICS SEND MAP("PANEL4") MAPSET("UXA1") FREEKB ERASE RESP(rcode);
            if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X009");

            EXEC CICS SEND CONTROL FREEKB;
            EXEC CICS RETURN;
	}

        /* Fill in and send the second map */

#ifdef ORA7
        sprintf(panel2.panel2o.nameo, "%s", name.arr);
#endif
#ifdef INF5
        sprintf(panel2.panel2o.nameo, "%s", name);
#endif
        sprintf(panel2.panel2o.supplo, "%s",supplier);
        sprintf(panel2.panel2o.addresso, "%s", supplier_address);
        sprintf(panel2.panel2o.ordero, "%d", order_quantity);

        EXEC CICS SEND MAP("PANEL2") MAPSET("UXA1") FREEKB ERASE RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
                       EXEC CICS ABEND ABCODE("X003");

        /* Receive the response */

        EXEC CICS RECEIVE MAP("PANEL2") MAPSET("UXA1") RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
            EXEC CICS ABEND ABCODE("X004");

	if (panel2.panel2i.questi == 'y'){

            /* Send the third map   */

            EXEC CICS SEND MAP("PANEL3") MAPSET("UXA1") FREEKB ERASE RESP(rcode);
            if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X005");

            /* Receive the response */

            EXEC CICS RECEIVE MAP("PANEL3") MAPSET("UXA1") RESP(rcode);
            if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X006");

            /* Update the Database */

            order_quantity = atoi(panel3.panel3i.newordi);

            EXEC SQL UPDATE cheese
            set order_quantity = :order_quantity
            where name = :name;

            /* Write a record to the temporary queue */

	    sprintf(qmsg, "%s", "The cheese table was updated");
	    mlen = strlen(qmsg);
	    EXEC CICS WRITEQ TS QUEUE("TEMPXAQ1") FROM(qmsg) LENGTH(mlen) RESP(rcode);
            if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X010");

	}
	else
	{

            /* The user does not wish to update so free the keyb'd & return  */

            EXEC CICS SEND CONTROL ERASE FREEKB;
            EXEC CICS RETURN;

	}

            /* Commit the update */

        EXEC CICS SYNCPOINT RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
            EXEC CICS ABEND ABCODE("X011");

            /* Send the fourth map confirming successful update  */

        sprintf(panel4.panel4o.messageo, UPDATECHEESE);
        EXEC CICS SEND MAP("PANEL4") MAPSET("UXA1") FREEKB ERASE RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
            EXEC CICS ABEND ABCODE("X007");

            /* free the keyb'd & return  */

        EXEC CICS SEND CONTROL FREEKB;
        EXEC CICS RETURN;

errexit:

        /* Handle general errors */

        EXEC SQL WHENEVER SQLERROR CONTINUE;

#ifdef ORA7
        sprintf(errmsg, "%.60s\n", sqlca.sqlerrm.sqlerrmc);
#endif
#ifdef INF5
	rgetmsg(sqlca.sqlcode, errmsg, sizeof(errmsg));
#endif
	strncpy(panel4.panel4o.messageo, errmsg, 60);
        sprintf(panel4.panel4o.codeo, "%d", sqlca.sqlcode);

        /* Send the fourth map with appropriate message */

        EXEC CICS SEND MAP("PANEL4") MAPSET("UXA1") FREEKB ERASE RESP(rcode);
        if (rcode != DFHRESP(NORMAL))
                EXEC CICS ABEND ABCODE("X008");

        /* Rollback the transaction */

	EXEC CICS SYNCPOINT ROLLBACK;
        EXEC CICS SEND CONTROL FREEKB;
        EXEC CICS RETURN;
}
