
      ***************************************************************
      * VERSION:     1.1
      * COPYRIGHT:                                                        
      * 
      *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
      *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
      *   All Rights Reserved
      *   Licensed Materials - Property of IBM
      *  
      *   US Government Users Restricted Rights - Use, duplication or
      *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      *                                                                   
      ***************************************************************
      ***************************************************************** 
      *    DFHCALL - CICS SAMPLE FILEA INQUIRY/UPDATE - COBOL         * 
      ***************************************************************** 
       IDENTIFICATION DIVISION.                                         
       PROGRAM-ID. DFHCALL.                                            
       ENVIRONMENT DIVISION.                                            
       DATA DIVISION.                                                   
       WORKING-STORAGE SECTION.                                         
       77  MESSAGES     PIC X(39).                                      
       77  TEMP-NAME    PIC X(20).                                      
       77  KEYNUM       PIC 9(6).                                       
       77  COMLEN       PIC S9(4) COMP.                                 
                        COPY DFHCGA.                                   
                        COPY DFHCGB.                                   
      *    NEXT FIELD TO VERIFY AMOUNTI                                 
       01  AMOUNTN.                                                     
           03  AMOUNTN1  PIC X.                                         
           03  AMOUNTN25 PIC X(4).                                      
           03  AMOUNTN6  PIC X.                                         
           03  AMOUNTN78 PIC X(2).                                      
       01  FILEA.       COPY DFHCFIL.                                  
       01  LOGA.        COPY DFHCLOG.                                  
                        COPY DFHBMSCA.                                  
       01  COMMAREA.    COPY DFHCFIL.                                  
       LINKAGE SECTION.                                                 
       01  DFHCOMMAREA. COPY DFHCFIL.                                  
       PROCEDURE DIVISION.                                              
           IF EIBTRNID NOT = 'INQY'                                     
             AND EIBTRNID NOT = 'ADDS'                                  
             AND EIBTRNID NOT = 'UPDT' THEN GO TO ERRORS.               
           IF EIBCALEN NOT = 0 THEN                                     
              MOVE DFHCOMMAREA TO COMMAREA GO TO READ-INPUT.            
           EXEC CICS HANDLE CONDITION MAPFAIL(MFAIL)                    
                                      ERROR(ERRORS) END-EXEC.           
           EXEC CICS RECEIVE MAP('MENU') MAPSET('DFHCGA') END-EXEC.    
           IF KEYL = ZERO THEN GO TO BADLENG.                           
           MOVE KEYI TO KEYNUM.                                         
           IF KEYI IS NOT NUMERIC THEN GO TO BADCHARS.                  
           MOVE LOW-VALUES TO DETAILO.                                  
           IF EIBTRNID = 'ADDS' THEN                                    
              MOVE 'FILE ADD' TO TITLEO                                 
              MOVE 'ENTER DATA AND PRESS ENTER KEY' TO MSG3O            
              MOVE KEYI TO NUMB IN COMMAREA, NUMBO                      
              MOVE DFHBMUNN TO AMOUNTA                                  
              MOVE '$0000.00' TO AMOUNTO                                
              MOVE 7 TO COMLEN GO TO MAP-SEND.                          
           EXEC CICS HANDLE CONDITION NOTFND(NOTFOUND) END-EXEC.        
           EXEC CICS READ DATASET('FILEA') INTO(FILEA) RIDFLD(KEYNUM)   
                                                       END-EXEC.        
           IF EIBTRNID = 'INQY' THEN                                    
              MOVE 'FILE INQUIRY' TO TITLEO                             
              MOVE 'PRESS ENTER TO CONTINUE' TO MSG3O                   
      *                           PROTECT ALL THE MAP FIELDS            
              MOVE DFHBMPRO TO NAMEA                                    
              MOVE DFHBMPRO TO ADDRA                                    
              MOVE DFHBMPRO TO PHONEA                                   
              MOVE DFHBMPRO TO DATEA                                    
              MOVE DFHBMPRO TO AMOUNTA                                  
              MOVE DFHBMPRO TO COMMENTA                                 
              PERFORM MAP-BUILD THRU MAP-SEND                           
              EXEC CICS RETURN TRANSID('MENU') END-EXEC.                
           IF EIBTRNID = 'UPDT' THEN                                    
              MOVE 'FILE UPDATE' TO TITLEO                              
              MOVE 'CHANGE FIELDS AND PRESS ENTER' TO MSG3O             
              MOVE FILEREC IN FILEA TO FILEREC IN COMMAREA              
              MOVE 80 TO COMLEN.                                        
       MAP-BUILD.                                                       
           MOVE NUMB    IN FILEA TO NUMBO.                              
           MOVE NAMEX   IN FILEA TO NAMEO.                              
           MOVE ADDRX   IN FILEA TO ADDRO.                              
           MOVE PHONE   IN FILEA TO PHONEO.                             
           MOVE DATEX   IN FILEA TO DATEO.                              
           MOVE AMOUNT  IN FILEA TO AMOUNTO.                            
           MOVE COMMENT IN FILEA TO COMMENTO.                           
       MAP-SEND.                                                        
           EXEC CICS SEND MAP('DETAIL') MAPSET('DFHCGB')               
                     ERASE END-EXEC.                                    
       FIN.                                                             
           GO TO CICS-CONTROL.                                          
       READ-INPUT.                                                      
           EXEC CICS HANDLE CONDITION MAPFAIL(NOTMODF) NOTFND(NOTFOUND) 
                     ERROR(ERRORS) DUPREC(DUPREC) END-EXEC.             
           EXEC CICS RECEIVE MAP('DETAIL') MAPSET('DFHCGB') END-EXEC.  
           IF EIBTRNID = 'UPDT' THEN                                    
              EXEC CICS READ UPDATE DATASET('FILEA') INTO(FILEA)        
                          RIDFLD(NUMB IN COMMAREA) END-EXEC             
              IF FILEREC IN FILEA NOT = FILEREC IN COMMAREA THEN        
                 MOVE 'RECORD UPDATED BY OTHER USER, TRY AGAIN' TO MSG1O
                 MOVE DFHBMASB TO MSG1A                                 
                 MOVE DFHPROTN TO MSG3A                                 
                 PERFORM MAP-BUILD                                      
                 EXEC CICS SEND MAP('DETAIL') MAPSET('DFHCGB') END-EXEC
                 MOVE 80 TO COMLEN                                      
                 MOVE FILEREC IN FILEA TO FILEREC IN COMMAREA           
                 GO TO CICS-CONTROL                                     
               ELSE                                                     
                 MOVE 'U' TO STAT IN FILEA                              
                 PERFORM CHECK THRU FILE-WRITE                          
                 MOVE 'RECORD UPDATED' TO MESSAGES GO TO MENU.          
           IF EIBTRNID = 'ADDS' THEN                                    
                 MOVE LOW-VALUES TO FILEREC IN FILEA                    
                 MOVE 'A' TO STAT IN FILEA                              
                 PERFORM CHECK THRU FILE-WRITE                          
                 MOVE 'RECORD ADDED' TO MESSAGES GO TO MENU.            
      *    CHECK FIELDS ADDED/UPDATED                                   
       CHECK.                                                           
           IF NAMEI    = LOW-VALUES AND                                 
              ADDRI    = LOW-VALUES AND                                 
              PHONEI   = LOW-VALUES AND                                 
              DATEI    = LOW-VALUES AND                                 
              AMOUNTI  = LOW-VALUES AND                                 
              COMMENTI = LOW-VALUES GO TO NOTMODF.                      
      *   INSP-NAME CHANGES ALL NON-ALPHABETIC CHARACTERS THAT ARE      
      *   VALID IN A NAME TO SPACES SO THAT AN ALPHABETIC TEST MAY      
      *   MAY BE APPLIED TO IT. THE CHANGED NAME IS RETURNED IN         
      *   TEMP-NAME.                                                    
           PERFORM INSP-NAME.                                           
           IF EIBTRNID = 'ADDS' THEN                                    
              IF TEMP-NAME NOT ALPHABETIC THEN GO TO DATA-ERROR.        
           IF EIBTRNID = 'UPDT' THEN                                    
               IF NAMEI NOT = LOW-VALUES                                
               AND TEMP-NAME NOT ALPHABETIC THEN GO TO DATA-ERROR.      
      *    AMOUNTI MUST BE IN FORMAT [NNNN.NN OR $NNNN.NN               
           IF AMOUNTI = LOW-VALUE THEN GO TO FILE-WRITE.                
           MOVE AMOUNTI TO AMOUNTN.                                     
           IF (AMOUNTN1 = '[' OR '$') AND                               
              (AMOUNTN25 IS NUMERIC)  AND                               
              (AMOUNTN6 = '.')        AND                               
              (AMOUNTN78 IS NUMERIC)                                    
               THEN GO TO FILE-WRITE                                    
           ELSE                                                         
               GO TO DATA-ERROR.                                        
                                                                        
       INSP-NAME.                                                       
           MOVE NAMEI TO TEMP-NAME.                                     
           INSPECT TEMP-NAME REPLACING ALL '.' BY SPACES.               
           INSPECT TEMP-NAME REPLACING ALL '-' BY SPACES.               
           INSPECT TEMP-NAME REPLACING ALL QUOTES BY SPACES.            
                                                                        
       FILE-WRITE.                                                      
           IF EIBTRNID = 'ADDS' THEN MOVE NUMB IN COMMAREA TO           
                                          NUMB IN FILEA.                
           IF NAMEI   NOT = LOW-VALUE MOVE NAMEI   TO NAMEX  IN FILEA.  
           IF ADDRI   NOT = LOW-VALUE MOVE ADDRI   TO ADDRX  IN FILEA.  
           IF PHONEI  NOT = LOW-VALUE MOVE PHONEI  TO PHONE  IN FILEA.  
           IF DATEI   NOT = LOW-VALUE MOVE DATEI   TO DATEX  IN FILEA.  
           IF AMOUNTI NOT = LOW-VALUE MOVE AMOUNTI TO AMOUNT IN FILEA.  
           IF AMOUNTI = LOW-VALUE AND EIBTRNID = 'ADDS' THEN            
              MOVE '$0000.00' TO AMOUNT IN FILEA.                       
           IF COMMENTI NOT = LOW-VALUE THEN                             
              MOVE COMMENTI TO COMMENT IN FILEA.                        
           MOVE FILEREC IN FILEA TO LOGREC.                             
           MOVE EIBDATE TO LDAY.                                        
           MOVE EIBTIME TO LTIME.                                       
           MOVE EIBTRMID TO LTERML.                                     
           EXEC CICS WRITEQ TD QUEUE('LOGA') FROM(LOGA) LENGTH(92)      
                                                        END-EXEC.       
           IF EIBTRNID = 'UPDT' THEN                                    
              EXEC CICS REWRITE DATASET('FILEA') FROM(FILEA) END-EXEC   
           ELSE                                                         
              EXEC CICS WRITE DATASET('FILEA') FROM(FILEA)              
                                               RIDFLD(NUMB IN COMMAREA) 
                                               END-EXEC.                
       DATA-ERROR.                                                      
           MOVE DFHBMASB TO MSG3A.                                      
           MOVE 'DATA ERROR - CORRECT AND PRESS ENTER' TO MSG3O         
      *                       THE FIELD ATTRIBUTE IS SET TO             
      *                       MODIFIED SO DATA WILL DISPLAY             
      *                       AMOUNT IS SET NUMERIC ALSO                
           MOVE DFHUNNUM TO AMOUNTA.                                    
           MOVE DFHBMFSE TO NAMEA, ADDRA, PHONEA, DATEA,                
                COMMENTA.                                               
           EXEC CICS SEND MAP('DETAIL') MAPSET('DFHCGB')               
                     DATAONLY END-EXEC.                                 
           IF EIBTRNID = 'ADDS' THEN MOVE 7 TO COMLEN                   
           ELSE MOVE 80 TO COMLEN.                                      
       CICS-CONTROL.                                                    
           EXEC CICS RETURN TRANSID(EIBTRNID) COMMAREA(COMMAREA)        
                                             LENGTH(COMLEN) END-EXEC.   
       NOTMODF.                                                         
           MOVE 'RECORD NOT MODIFIED' TO MESSAGES.                      
           GO TO MENU.                                                  
       DUPREC.                                                          
           MOVE 'DUPLICATE RECORD' TO MESSAGES.                         
           GO TO MENU.                                                  
       BADLENG.                                                         
           MOVE 'PLEASE ENTER AN ACCOUNT NUMBER' TO MESSAGES.           
           GO TO MENU.                                                  
       BADCHARS.                                                        
           MOVE 'ACCOUNT NUMBER MUST BE NUMERIC' TO MESSAGES.           
           GO TO MENU.                                                  
       NOTFOUND.                                                        
           MOVE 'INVALID NUMBER - PLEASE REENTER' TO MESSAGES.          
           GO TO MENU.                                                  
       MFAIL.                                                           
           MOVE 'PRESS CLEAR TO EXIT' TO MESSAGES.                      
           GO TO MENU.                                                  
       ERRORS.                                                          
           EXEC CICS DUMP DUMPCODE('ERRS') END-EXEC.                    
           MOVE 'TRANSACTION TERMINATED' TO MESSAGES.                   
       MENU.                                                            
           MOVE LOW-VALUE TO MENUO.                                     
           MOVE DFHBMASB  TO MSGA.                                      
           MOVE MESSAGES  TO MSGO.                                      
           EXEC CICS SEND MAP('MENU') MAPSET('DFHCGA') ERASE END-EXEC. 
           EXEC CICS RETURN END-EXEC.                                   
           GOBACK.                                                      
