      *****************************************************************
      * VERSION:     1.1
      * COPYRIGHT:                                                        
      * 
      *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
      *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
      *   All Rights Reserved
      *   Licensed Materials - Property of IBM
      *  
      *   US Government Users Restricted Rights - Use, duplication or
      *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      *                                                                   
      *****************************************************************
      *****************************************************************
      *    DFHCBRW - CICS SAMPLE FILEA BROWSE - COBOL                 *
      ***************************************************************** 
       IDENTIFICATION DIVISION.                                         
       PROGRAM-ID. DFHCBRW.                                            
       ENVIRONMENT DIVISION.                                            
       DATA DIVISION.                                                   
       WORKING-STORAGE SECTION.                                         
       77  I        PIC 999   USAGE IS COMP.                            
       77  MESSAGES PIC X(39) VALUE ' '.                                
      *    GOING FWD OR BACK... F/B, AT LO/HI END OF FILE               
       77  CURROP   PIC X(1)  VALUE ' '.                                
       77  LASTOP   PIC X(1)  VALUE ' '.                                
       77  STATS    PIC X(1)  VALUE ' '.                                
      *                                          DATA-AREAS FOR RIDFLD  
       77  RID      PIC 9(6)  VALUE IS ZERO.                            
      *                                          BUILDS PREV BACK PAGE  
       77  RIDB     PIC 9(6)  VALUE IS ZERO.                            
      *                                          BUILDS NEXT FWD PAGE   
       77  RIDF     PIC 9(6)  VALUE IS ZERO.                            
      *                                                                 
      *                                          BMS STD ATTRIBUTES     
                    COPY DFHBMSCA.                                      
      *                                          FILEA RECORD DESCRIPT'N
       01  FILEA.   COPY DFHCFIL.                                      
      *                                          GENERAL MENU MAP       
                    COPY DFHCGA.                                       
      *                                          BROWSE FILEA MAP       
                    COPY DFHCGC.                                       
      *                                                                 
      *                                                                 
       PROCEDURE DIVISION.                                              
           EXEC CICS HANDLE CONDITION                                   
                            ERROR(ERRORS)                               
                            MAPFAIL (SMSG)                              
                            NOTFND(NOTFOUND) END-EXEC.                  
      *                                                                 
           EXEC CICS RECEIVE MAP('MENU') MAPSET('DFHCGA') END-EXEC.    
      *                                                                 
           EXEC CICS HANDLE AID                                         
                            CLEAR(SMSG)                                 
                            PF1 (PAGE-FORWARD)                          
                            PF2 (PAGE-BACKWARD) END-EXEC.               
      ***************************************************************** 
      *                                SIMPLE CHECKS OF INPUT DATA    * 
      ***************************************************************** 
           IF KEYL NOT = ZERO THEN                                      
              IF KEYI IS NUMERIC THEN                                   
      *                                                  VALID INPUT    
                 MOVE KEYI TO RID                                       
                 MOVE KEYI TO RIDF                                      
                 MOVE KEYI TO RIDB                                      
              ELSE                                                      
      *                                                  NOT NUMERIC    
                 MOVE                                                   
                 'ACCOUNT NUMBER MUST BE NUMERIC'                       
                 TO MESSAGES                                            
                 GO TO MENU                                             
           ELSE                                                         
      *                                              ACCOUNT NO OMITTED 
              MOVE '000000' TO RID                                      
              MOVE '000000' TO RIDF.                                    
      ***************************************************************** 
      *                                ESTABLISH START POINT          * 
      ***************************************************************** 
           EXEC CICS STARTBR DATASET('FILEA')                           
                             RIDFLD(RID) END-EXEC.                      
      *                                                                 
           IF RID NOT EQUAL '999999' THEN GO TO PAGE-FORWARD.           
      *                                                                 
           MOVE 'H' TO STATS.                                           
           GO TO PAGE-BACKWARD.                                         
      ***************************************************************** 
      *                                BUILD NEXT FORWARD PAGE        * 
      ***************************************************************** 
       PAGE-FORWARD.                                                    
           MOVE 'F' TO CURROP.                                          
      *                                                  TOP END OF FILE
           EXEC CICS HANDLE CONDITION                                   
                            ENDFILE(TOOHIGH) END-EXEC.                  
      *                                                  RESET MAP 'C'  
           MOVE LOW-VALUES TO BROWSEO.                                  
      *                                                  RID>NEXT FPAGE 
           MOVE RIDF TO RID.                                            
           MOVE 1 TO I.                                                 
       NEXT-LINE.                                                       
      *                                                  MOVE FIELDS>MAP
           EXEC CICS READNEXT INTO(FILEA)                               
                              DATASET('FILEA')                          
                              RIDFLD(RID) END-EXEC.                     
      *                                                  READ 4 RECORDS 
           IF I = 1 THEN                                                
              MOVE NUMB TO NUMBER1O                                     
              MOVE NAMEX TO NAME1O                                      
              MOVE AMOUNT TO AMOUNT1O                                   
      *                                          RIDB NEEDS EXISTING A/C
              MOVE RID TO RIDB                                          
           ELSE IF I = 2 THEN                                           
                   MOVE NUMB TO NUMBER2O                                
                   MOVE NAMEX TO NAME2O                                 
                   MOVE AMOUNT TO AMOUNT2O                              
                ELSE IF I = 3 THEN                                      
                        MOVE NUMB TO NUMBER3O                           
                        MOVE NAMEX TO NAME3O                            
                        MOVE AMOUNT TO AMOUNT3O                         
                     ELSE IF I = 4 THEN                                 
                        MOVE NUMB TO NUMBER4O                           
                        MOVE NAMEX TO NAME4O                            
                        MOVE AMOUNT TO AMOUNT4O.                        
           ADD 1 TO I.                                                  
           IF I NOT EQUAL 5 THEN GO TO NEXT-LINE.                       
      *                                                  RID>NEXT FPAGE 
           MOVE RID TO RIDF.                                            
           EXEC CICS SEND MAP('BROWSE') MAPSET('DFHCGC')               
                     ERASE END-EXEC.                                    
      *                                                  GET NEXT RQUEST
           GO TO PROMPT-ENTRY.                                          
      ***************************************************************** 
      *                                BUILD PREVIOUS BACK PAGE       * 
      ***************************************************************** 
       PAGE-BACKWARD.                                                   
           MOVE 'B' TO CURROP.                                          
      *                                                  LOW END OF FILE
           EXEC CICS HANDLE CONDITION                                   
                            ENDFILE(TOOLOW) END-EXEC.                   
      *                                                  RESET MAP 'C'  
           MOVE LOW-VALUES TO BROWSEO.                                  
      *                                                  RID>PREV BPAGE 
           MOVE RIDB TO RID.                                            
      *                                                  RIDF>NEXT FPAGE
           MOVE RIDB TO RIDF.                                           
      *                                                                 
           IF LASTOP EQUAL 'B' THEN GO TO PREV.                         
           IF STATS EQUAL 'H' THEN GO TO PREV.                          
      *                                                                 
           EXEC CICS READPREV INTO(FILEA)                               
                              DATASET('FILEA')                          
                              RIDFLD(RID) END-EXEC.                     
      *                                                                 
       PREV.                                                            
           MOVE 1 TO I.                                                 
      *                                                                 
       PREV-LINE.                                                       
      *                                                  MOVE FIELDS>MAP
           EXEC CICS READPREV INTO(FILEA)                               
                              DATASET('FILEA')                          
                              RIDFLD(RID) END-EXEC.                     
      *                                                 READ 4RECORDS IN
      *                                                 ASCENDING ORDER 
           IF I = 4 THEN                                                
              MOVE NUMB TO NUMBER1O                                     
              MOVE NAMEX TO NAME1O                                      
              MOVE AMOUNT TO AMOUNT1O                                   
           ELSE IF I = 3 THEN                                           
                   MOVE NUMB TO NUMBER2O                                
                   MOVE NAMEX TO NAME2O                                 
                   MOVE AMOUNT TO AMOUNT2O                              
                ELSE IF I = 2 THEN                                      
                        MOVE NUMB TO NUMBER3O                           
                        MOVE NAMEX TO NAME3O                            
                        MOVE AMOUNT TO AMOUNT3O                         
                     ELSE IF I = 1 THEN                                 
                        MOVE NUMB TO NUMBER4O                           
                        MOVE NAMEX TO NAME4O                            
                        MOVE AMOUNT TO AMOUNT4O.                        
      *                                                                 
           ADD 1 TO I.                                                  
           IF I NOT EQUAL 5 THEN GO TO PREV-LINE.                       
      *                                                  RID>NEXT BPAGE 
           MOVE RID TO RIDB.                                            
           EXEC CICS SEND MAP('BROWSE') MAPSET('DFHCGC')               
                     ERASE END-EXEC.                                    
      *                                                  GET NEXT RQUEST
           GO TO PROMPT-ENTRY.                                          
      ***************************************************************** 
      *                                 PROMPT FOR NEXT PAGING REQUEST* 
      ***************************************************************** 
       PROMPT-ENTRY.                                                    
           MOVE CURROP TO LASTOP.                                       
           EXEC CICS RECEIVE MAP('BROWSE') MAPSET('DFHCGC') END-EXEC.  
           IF DIRI EQUAL 'F' THEN GO TO PAGE-FORWARD.                   
           IF DIRI EQUAL 'B' THEN GO TO PAGE-BACKWARD.                  
      *                                                  INVALID-RESEND 
           EXEC CICS SEND MAP('BROWSE') MAPSET('DFHCGC') END-EXEC.     
           GO TO PROMPT-ENTRY.                                          
      ***************************************************************** 
      *                                HANDLE END OF FILE CONDITIONS  * 
      ***************************************************************** 
       TOOHIGH.                                                         
           MOVE 'H' TO STATS.                                           
           MOVE RID TO RIDF.                                            
           MOVE RID TO RIDB.                                            
           MOVE ' ' TO DIRO.                                            
           MOVE 'HI-END OF FILE' TO MSG1O.                              
      *                                                  BRT+PROT ATTR  
           MOVE DFHBMASB TO MSG1A.                                      
           EXEC CICS SEND MAP('BROWSE') MAPSET('DFHCGC')               
                     ERASE END-EXEC.                                    
           GO TO PROMPT-ENTRY.                                          
      *                                                                 
       TOOLOW.                                                          
           MOVE 'L' TO STATS.                                           
           MOVE '000000' TO RIDF.                                       
           MOVE '000000' TO RIDB.                                       
           MOVE ' ' TO DIRO.                                            
           MOVE 'LO-END OF FILE' TO MSG2O.                              
      *                                                  BRT+PROT ATTR  
           MOVE DFHBMASB TO MSG2A.                                      
           EXEC CICS SEND MAP('BROWSE') MAPSET('DFHCGC')               
                     ERASE END-EXEC.                                    
           GO TO PROMPT-ENTRY.                                          
      ***************************************************************** 
      *                                HANDLE GENERAL CONDITIONS      * 
      ***************************************************************** 
       NOTFOUND.                                                        
           MOVE 'END OF FILE - PLEASE RESTART' TO MESSAGES.             
           GO TO MENU.                                                  
       SMSG.                                                            
           MOVE 'PRESS CLEAR TO EXIT' TO MESSAGES.                      
           GO TO MENU.                                                  
       ERRORS.                                                          
           EXEC CICS DUMP DUMPCODE('ERRS') END-EXEC.                    
           MOVE 'TRANSACTION TERMINATED' TO MESSAGES.                   
      ***************************************************************** 
      *                                DISPLAY GENERAL MENU THEN EXIT * 
      ***************************************************************** 
       MENU.                                                            
      *                                                  RESET MAP 'A'  
           MOVE LOW-VALUE TO MENUO.                                     
           MOVE DFHBMASB TO MSGA.                                       
           MOVE MESSAGES TO MSGO.                                       
           EXEC CICS SEND MAP('MENU') MAPSET('DFHCGA')                 
                     ERASE END-EXEC.                                    
           EXEC CICS RETURN END-EXEC.                                   
           GOBACK.                                                      
