
      *****************************************************************
      * VERSION:     1.1
      * COPYRIGHT:                                                        
      * 
      *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
      *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
      *   All Rights Reserved
      *   Licensed Materials - Property of IBM
      *  
      *   US Government Users Restricted Rights - Use, duplication or
      *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      *                                                                   
      *****************************************************************
      ***************************************************************** 
      *    DFHCCOM - CICS SAMPLE FILEA ORDER ENTRY QUEUE PRINT        * 
      ***************************************************************** 
       IDENTIFICATION DIVISION.                                         
       PROGRAM-ID. DFHCCOM.                                            
       ENVIRONMENT DIVISION.                                            
       DATA DIVISION.                                                   
       WORKING-STORAGE SECTION.                                         
       77  Q-LENGTH      PIC 9(4)  COMP VALUE 22.                       
       77  PRESMSG       PIC X(20) VALUE 'PROCESSING COMPLETED'.        
       01  LOGORD.                                                      
           02  LOGTIME.                                                 
               03  LDAY  PIC S9(7) COMP-3.                              
               03  LTIME PIC S9(7) COMP-3.                              
           02  LITEM     PIC X(22).                                     
           02  COMMENT   PIC X(11) VALUE 'ORDER ENTRY'.                 
           02  FILLER    PIC X(51) VALUE SPACES.                        
                    COPY DFHCGL.                                       
       01  FILEA.   COPY DFHCFIL.                                      
       01  L86O.    COPY DFHCL86.                                      
                    COPY DFHBMSCA.                                      
       PROCEDURE DIVISION.                                              
           EXEC CICS HANDLE CONDITION ERROR(ERRORS)                     
                                      QZERO(ENDA) END-EXEC.             
           IF EIBTRMID NOT = 'L86O' THEN                                
              GO TO ASK-TIME.                                           
           MOVE LOW-VALUES TO PRINTO.                                   
       Q-READ.                                                          
           EXEC CICS READQ TD INTO(L86O) LENGTH(Q-LENGTH)               
                              QUEUE('L86O') END-EXEC.                   
       MAP-BUILD.                                                       
           EXEC CICS READ DATASET('FILEA') INTO(FILEA) RIDFLD(CUSTNO)   
                                                       END-EXEC.        
           IF AMOUNT  > '$0100.00' THEN                                 
              MOVE ADDRX    TO ADDRO                                    
              MOVE NAMEX    TO NAMO                                     
              MOVE PARTNO   TO PARTO                                    
              MOVE CUSTNO   TO NUMBO                                    
              MOVE ITEM     TO LITEM                                    
              MOVE QUANTITY TO QUANTO                                   
              EXEC CICS SEND MAP('PRINT') MAPSET('DFHCGL')             
                        ERASE END-EXEC                        
           ELSE                                                         
              MOVE EIBDATE  TO LDAY                                     
              MOVE EIBTIME  TO LTIME                                    
              MOVE ITEM     TO LITEM                                    
              EXEC CICS WRITEQ TD QUEUE('LOGA')                         
                                  FROM(LOGORD) LENGTH(92) END-EXEC.     
              GO TO Q-READ.                                             
       ERRORS.                                                          
              EXEC CICS DUMP DUMPCODE('ERRS') END-EXEC.                 
              GO TO FIN.                                                
       ENDA.                                                            
           MOVE LOW-VALUES  TO PRINTO                                   
           MOVE 'ORDER QUEUE IS EMPTY' TO TITLEO                        
           EXEC CICS SEND MAP('PRINT') MAPSET('DFHCGL')                
                     DATAONLY ERASE END-EXEC.                 
       ASK-TIME.                                                        
      *                           IF THE COMMENT DELIMITER IS           
      *                           REMOVED FROM THE NEXT TWO COBOL       
      *                           STATEMENTS, THE APPLICATION WILL      
      *                           BE RESTARTED IN AN HOUR IF THE        
      *                           TIME OF DAY RIGHT NOW IS NOT LATER    
      *                           THAN 1400 HRS.                        
      *                           IF THE CODE IS LEFT UNCHANGED THE     
      *                           APPLICATION WILL BE RESTARTED         
      *                           UNCONDITIONALLY AFTER AN HOUR HAS     
      *                           ELAPSED                               
      *    EXEC CICS ASKTIME END-EXEC.                                  
      *    IF EIBTIME NOT > 140000 THEN                                 
              EXEC CICS START TRANSID('OREQ') INTERVAL(10000)           
                              TERMID('L86O') END-EXEC.                  
       FIN.                                                             
           EXEC CICS SEND CONTROL ERASE END-EXEC  
           EXEC CICS SEND FROM(PRESMSG) LENGTH(20) ERASE END-EXEC  
           EXEC CICS SEND CONTROL FREEKB END-EXEC.                      
           EXEC CICS RETURN END-EXEC.                                   
           GOBACK.                                                      
