
      *****************************************************************
      * VERSION:     1.1
      * COPYRIGHT:                                                        
      * 
      *   (C) COPYRIGHT Hewlett Packard Company. 1993, 1997
      *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
      *   All Rights Reserved
      *   Licensed Materials - Property of IBM
      *  
      *   US Government Users Restricted Rights - Use, duplication or
      *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      *                                                                   
      *****************************************************************
      ***************************************************************** 
      *    DFHCREN - CICS SAMPLE FILEA ORDER ENTRY - COBOL            * 
      ***************************************************************** 
       IDENTIFICATION DIVISION.                                         
       PROGRAM-ID. DFHCREN.                                            
       ENVIRONMENT DIVISION.                                            
       DATA DIVISION.                                                   
       WORKING-STORAGE SECTION.                                         
       77  ERROR-FLAG PIC 9.                                            
       77  PRESMSG PICTURE X(20) VALUE 'PROCESSING COMPLETED'.          
                    COPY DFHCGK.                                       
       01  FILEA.   COPY DFHCFIL.                                      
       01  L86O.    COPY DFHCL86.                                      
                    COPY DFHBMSCA.                                      
      *                                                                 
       PROCEDURE DIVISION.                                              
      *                                                                 
      *                                                HANDLE CONDITIONS
           EXEC CICS HANDLE AID CLEAR(ENDA) END-EXEC.                   
           EXEC CICS HANDLE CONDITION MAPFAIL(MAPFAIL)                  
                                      NOTFND(NOTFOUND)                  
                                      ERROR(ERRORS) END-EXEC.           
      *                                                                 
      *                                                CLEAR MAP        
           MOVE LOW-VALUES TO ORDERO.                                   
      *                                                                 
           EXEC CICS SEND MAP('ORDER') MAPSET('DFHCGK')                
                     ERASE END-EXEC.                                    
      ***************************************************************** 
      *                                               PROCESS INPUT   * 
      ***************************************************************** 
       RECEIVM.                                                         
           EXEC CICS RECEIVE MAP('ORDER') MAPSET('DFHCGK') END-EXEC.   
      *                                                                 
           MOVE 0 TO ERROR-FLAG.                                        
           MOVE DFHBMFSE TO CUSTNOA, PARTNOA, QUANTA.                   
      ***************************************************************** 
      *                                               CHECK DATA      * 
      ***************************************************************** 
      *                                                                 
           IF CUSTNOI NOT NUMERIC THEN                                  
              MOVE DFHUNINT TO CUSTNOA MOVE 1 TO ERROR-FLAG.            
      *                                                                 
           IF PARTNOI NOT NUMERIC THEN                                  
              MOVE DFHUNINT TO PARTNOA MOVE 1 TO ERROR-FLAG.            
      *                                                                 
           IF QUANTI NOT NUMERIC THEN                                   
              MOVE DFHUNINT TO QUANTA MOVE 1 TO ERROR-FLAG.             
      *                                                                 
      *                                              DATA ERROR-REENTER 
           IF ERROR-FLAG = 1 THEN                                       
              MOVE DFHBMASB TO MSG2A                                    
              EXEC CICS SEND MAP('ORDER') MAPSET('DFHCGK') END-EXEC    
              GO TO RECEIVM.                                            
      ***************************************************************** 
      *                                               READ CUST RECORD* 
      ***************************************************************** 
      *                                                                 
           EXEC CICS READ DATASET('FILEA') INTO(FILEA) RIDFLD(CUSTNOI)  
                                                       END-EXEC.        
           MOVE CUSTNOI  TO CUSTNO.                                     
           MOVE PARTNOI  TO PARTNO.                                     
           MOVE QUANTI   TO QUANTITY.                                   
           MOVE EIBTRMID TO TERMID.                                     
      ***************************************************************** 
      *                                              WRITE VALID ORDER* 
      ***************************************************************** 
      *                                                                 
           EXEC CICS WRITEQ TD QUEUE('L86O') FROM(L86O) LENGTH(22)      
                                                        END-EXEC.       
           EXEC CICS SEND MAP('ORDER') MAPSET('DFHCGK')                
                     MAPONLY ERASEAUP END-EXEC.                         
           GO TO RECEIVM.                                               
      *                                                                 
      ***************************************************************** 
      *                                              PROCESS ERRORS   * 
      ***************************************************************** 
       NOTFOUND.                                                        
           MOVE DFHBMASB TO MSG1A.                                      
           EXEC CICS SEND MAP('ORDER') MAPSET('DFHCGK') END-EXEC.      
           GO TO RECEIVM.                                               
      *                                                                 
       MAPFAIL.                                                         
           MOVE LOW-VALUES TO ORDERO.                                   
           MOVE DFHBMASB TO MSG2A.                                      
           EXEC CICS SEND MAP('ORDER') MAPSET('DFHCGK') END-EXEC.      
           GO TO RECEIVM.                                               
      ***************************************************************** 
      *                                              EXIT FROM PROGRAM* 
      ***************************************************************** 
      *                                                                 
       ERRORS.                                                          
           MOVE 'TRANSACTION TERMINATED' TO MSG2O.                      
           MOVE DFHBMASB TO MSG2A.                                      
           EXEC CICS SEND MAP('ORDER') MAPSET('DFHCGK') END-EXEC.      
           EXEC CICS DUMP DUMPCODE('ERRS') END-EXEC.                    
      *                                                                 
       ENDA.                                                            
           EXEC CICS SEND CONTROL ERASE END-EXEC.
           EXEC CICS SEND FROM(PRESMSG) LENGTH(20) ERASE END-EXEC. 
           EXEC CICS SEND CONTROL FREEKB END-EXEC.                      
           EXEC CICS RETURN END-EXEC.                                   
           GOBACK.                                                      
